Bug 81676 - Fails to install
Fails to install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-01-12 12:17 EST by E. Steve Watson
Modified: 2007-04-18 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-07 15:44:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description E. Steve Watson 2003-01-12 12:17:59 EST
Description of problem:
I have tried 10 times to install RH 8.0, without success.  The error message, 
set forth below, is always the same.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1.Start installation
2.Get through partitioning 
3.Attempt to install packages and crashes
Actual results:

Expected results:
Successful installation of RH 8.0 packages

Additional info:
I have 2 hard drives.  No matter how I attempt to partition them, I end up with 
the following error message when Red Hat attempts to install itsself:


File file "/usr/lib/anaconda/guy.py", line 786
File file "/usr/lib/anaconda/iw/process_guy.py", line 149
File file "/usr/lib/anaconda/guy.py", line 632
File file "/usr/lib/anaconda/dispatch.py", line 150
File file "/usr/lib/anaconda/dispatch.py, line 215
File file "/usr/lib/anaconda/packages.py", line 430
File file "/usr/lib/anaconda/partitions.py", line 1110
File file "/usr/lib/anaconda/lum.py", line 54
File file "/usr/lib/anaconda/iutil.py", line 66
OSError: [errno 12} cannot allocate memory
Comment 1 E. Steve Watson 2003-01-12 12:22:18 EST
I have an Intel Celeron processor, Intel 82801 controller and two Maxtor HD.  
After getting through the partitioning problem on installation (I think), 
Anaconda won't install the packages.  Error message dump is set forth above.  
See Bug No. 75162 for similar comments.
Comment 2 Michael Lee Yohe 2003-01-13 08:42:58 EST
This appears to be a duplicate of Bug 76123.  The problem is that there is not
enough memory to process the transactions that are to be executed by the
installer.  Anaconda, in GUI mode, requires at least 64M of memory.

You can alternatively attempt to install Red Hat Linux 8.0 in text mode by
specifying "linux text" at the SYSLINUX prompt upon first boot.
Comment 3 Michael Fulbright 2003-01-13 15:09:11 EST
How much RAM is in the system, and how much swap did you allocate (if applicable)?
Comment 4 Michael Fulbright 2003-02-07 15:44:00 EST
Closing due to inactivity. If you have more information to add please reopen.

Note You need to log in before you can comment on or make changes to this bug.